# Maintainer: Rafael from azul repository

pkgname=yaru-theme-icon
pkgver=22.04.4
pkgrel=1.1
pkgdesc='Yaru icon theme from Ubuntu. All colors.'
arch=('any')
url='https://launchpad.net/ubuntu/+source/yaru-theme'
urldown='https://launchpad.net/ubuntu/+archive/primary/+files'
license=('GPL3')
provides=("${pkgname}-${pkgver}")
depends=('gtk-update-icon-cache')
conflicts=("yaru-icon-theme")
source=("${urldown}/${pkgname}_${pkgver}_all.deb")
sha512sums=('a4171b0eb34b227085f5270f84d4414fd75e856f65aa2c0b4843b66bd48b4057b311109a237465cefea4625b4a02af6bf4d1c157908cdc50a6fb632e77e5ec1d')

package() {
  install -dm755 ${pkgdir}/usr/share/icons
  install -dm755 ${pkgdir}/usr/share/licenses/${pkgname}
  tar -xvf ${srcdir}/data.tar.zst
  cp -r  ${srcdir}/usr/share/icons/* ${pkgdir}/usr/share/icons
  cp -r  ${srcdir}/usr/share/doc/${pkgname}/copyright ${pkgdir}/usr/share/licenses/${pkgname}
  find ${pkgdir}/usr -type f -exec chmod 644 {} \;
  find ${pkgdir}/usr -type d -exec chmod 755 {} \;
}

